// Type definitions for @dyna-grid/core v1.0.5
// Project: 
// Definitions by: zhangkun <>
import { DyAbstractField } from "./dyAbstractField";
import { Component } from "./component";
import { IDyLabel } from './dyAbstractLabel';
export declare abstract class DyPickerField<TElement extends HTMLElement, TValue> extends DyAbstractField<TValue> {
    private readonly pickerIcon?;
    abstract showPicker(): Component;
    protected value: TValue;
    protected isPickerDisplayed: boolean;
    protected isDestroyingPicker: boolean;
    private skipClick;
    private pickerComponent;
    protected readonly eLabel: HTMLElement;
    protected readonly eWrapper: HTMLElement;
    protected readonly eDisplayField: TElement;
    private readonly eIcon;
    constructor(config?: IDyLabel, className?: string, pickerIcon?: string, popupRole?: string);
    protected postConstruct(): void;
    protected refreshLabel(): void;
    setAriaLabel(label: string): this;
    setInputWidth(width: number | 'flex'): this;
    getFocusableElement(): HTMLElement;
}
